Issue 118556 - replace framework::OUStringHashCode with rtl::OUStringHash
replace framework::OUStringHashCode with rtl::OUStringHash
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: code
3.4.1
All All
: P5 normal (vote)
: 4.0.0
Assigned To: Ariel Constenla-Haile
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-29 16:18 UTC by Ariel Constenla-Haile
Modified: 2013-07-11 07:22 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Ariel Constenla-Haile 2011-10-29 16:18:18 UTC
The framework module uses its wwn hash functions used for stl-structures (e.g. hash tables/maps). See: http://svn.apache.org/viewvc/incubator/ooo/trunk/main/framework/inc/stdtypes.h?view=markup#l65
It can be replaced by rtl::OUStringHash, see http://api.openoffice.org/docs/cpp/ref/names/rtl/c-OUStringHash.html

For the sake of clarity, framework::OUStringHash can be renamed to framework::OUStringHashMap
http://svn.apache.org/viewvc/incubator/ooo/trunk/main/framework/inc/stdtypes.h?view=markup#l185
Comment 1 Oliver-Rainer Wittmann 2012-06-13 12:18:49 UTC
getting rid of value "enhancement" for field "severity".
For enhancement the field "issue type" shall be used.
Comment 2 hdu@apache.org 2013-07-11 07:22:56 UTC
Updated status to FIXED and target to the release that will contain the fix.